### Method

# EDataBook BookCache dup_categories

since: 3.48

#### Declaration [src]

    gchar*
    e_book_cache_dup_categories (
      EBookCache* book_cache
    )

#### Description [src]

Returns a comma-separated list of categories used by the contacts stored in the `book_cache`. Free the returned string with g_free(), when no longer needed.

Available since: 3.48

#### Return value

Type: `gchar*`

A comma-separated list of categories used by the contacts stored in the `book_cache`, or `NULL`, when no category is used by any contact.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.